For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
      • GETList Collection Items
      • POSTCreate Collection Item
      • DELRemove Collection Items
      • PUTPublish Collection Items
      • GETGet Collection Item
      • PUTUpdate Collection Item
      • DELRemove Collection Item
      • PATCHPatch Collection Item
      • POSTItem Created
      • POSTItem Updated
      • POSTItem Deleted
      • POSTItem Unpublished
  • Ecommerce
LogoLogo
Resources
Get started
CMSItems

Remove Collection Item

DELETE
https://api.webflow.com/collections/:collection_id/items/:item_id
DELETE
/collections/:collection_id/items/:item_id
$curl -X DELETE "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items/580e64008c9a982ac9b8b754?live=true" \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "deleted": 1
3}
Remove or unpublish an item in a collection. <aside class="notice"><b>Remove Item</b><br/> The default behavior of the endpoint will delete the item from collection. You cannot retrieve a deleted item. <br/><br/> <aside class="notice"><b>Unpublish Item</b><br/> It is possible to only remove the item from the published site, while maintaining it in your collection. Unpublishing an item will set the item status to Draft. <br/><br/> Append <code>?live=true</code> to the querystring to unpublish an item</aside>
Was this page helpful?
Previous

Patch Collection Item

Next
Built with
Remove or unpublish an item in a collection. <aside class=“notice”>Remove Item
The default behavior of the endpoint will delete the item from collection. You cannot retrieve a deleted item.

Unpublish Item
It is possible to only remove the item from the published site, while maintaining it in your collection. Unpublishing an item will set the item status to Draft.

Append ?live=true to the querystring to unpublish an item

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "uuid"
Unique identifier for a Collection
item_idstringRequiredformat: "uuid"
Unique identifier for and Item

Headers

Accept-VersionstringOptional
The API version

Query parameters

livebooleanOptional

Boolean indicating if the item(s) should be published/unpublished to/from the live site

Response

Request was successful
deleteddouble
Number of records deleted

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error